Subject: bug#19776: 25.0.50; HTML rendering is very slow

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 25 Oct 2021 18:19:01 +0200

Eli Zaretskii <[email-masked]> writes:

> I guess this means timerfd is only good for when Emacs is calling
> thread_select, i.e. either it's idling or waiting for process output.
> So timerfd, if available, should be used together with interval
> timers, so that we get SIGALRM when we aren't idle, I guess.  Not
> either timerfd or interval timers, but both.

But does timerfd give us anything extra, then?  If we only use interval
timers, things seems to work fine.  So I wonder what the purpose of
introducing the timerfd stuff was.  Greater efficiency?  

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no